Method: networks.users.batchUpdate

Batch updates User objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/users:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where Users will be updated. Format: networks/{networkCode} The parent field in the UpdateUserRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateUserRequest)
    }
  ]
}
Fields
requests[]

object (UpdateUserRequest)

Required. The User objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for users.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "users": [
    {
      object (User)
    }
  ]
}
Fields
users[]

object (User)

The User objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateUserRequest

Request object for users.patch method.

JSON representation
{
  "user": {
    object (User)
  },
  "updateMask": string
}
Fields
user

object (User)

Required. The User to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".